package net.wanji.opt.entity.strategy;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;

import java.io.Serializable;

@Data
@EqualsAndHashCode(callSuper=false)
@TableName("t_strategy_priority_parameter")
@NoArgsConstructor
@AllArgsConstructor
public class StrategyParameterConfig implements Serializable {

    private static final long serialVersionUID = 1L;


    /**
     * 自增主键
     */
    @TableId(value = "id", type = IdType.AUTO)
    private Long id;

    /**
     * 策略编号
     */
    private String strategyNo;

    /**
     * 路口编号
     */
    private String crossId;

    /**
     * 参数配置执行详情
     */
    private String paramDetails;

    /**
     * 调度配置执行详情
     */
    private String schedulingParam;
    /**
     * 干线ID
     */
    private  Integer  greenId;

    /**
     * 类型 1:路口 2干线
     */
    private Integer type;
}
